For the complete documentation index, see llms.txt. This page is also available as Markdown.

Resolve

Fetch all records corresponding to the Domain Name in the request, e.g. example.tld In case the domain exists in multiple blockchains/namespace, this endpoint returns only the domain with the highest score, based on the NOTO scoring algorithm and/or your custom collision rule, more info here

You can also specify a Network and/or a Provider in the API call to limit the search to those specific Network/Provider.

Endpoint: engine.noto.network/noto/api/v1/resolve

Method: GET

Parameters:

Param name
Type
Required
Addition Info
Example

domain

String

example.tld

network

String

optional

POLYGON

provider

String

optional

FREENAME

Return type: OBJECT

Request Example:

GET /noto/api/v1/resolve?domain=example.eth&network=POLYGON&provider=FREENAME

Response Example:

{
    "result":true,
    "data":{
        "info":{
            "sld":"example",
            "tld":"tld""smartContractAddress":"0x0000000000000000000000000000000000000000",
            "lastUpdate":"2024-02-02T17:58:39.330Z",
            "CSAMValidation":false,
            "KYC":false,
            "tags":[]
        },
        "records":{
          // if any records exist, will look like this example
          "redirect.WEBSITE.0": "https://freename.io",
          "profile.OWNER.fullname": "John Doe",
          "record.TXT.0": "https://ex.ample/",
          "record.A.0": "30.25.212.37"
          "token.ETH.0":"0x0000000000000000000000000000000000000000",
          ...
        },
        "domain":"example.tld",
        "network":"POLYGON",
        "provider":"FREENAME",
        "ownerAddress":"0x0000000000000000000000000000000000000000",
        "score":0,
        "spam":false
    }
}

Last updated